<?php
include_once '../controllers/UsuarioController.php';

$usuario = new UsuarioController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
}

switch ($action) {
    case 'login':
        $usuario->Login($_POST['nombre'], $_POST['password']);
        break;
    case 'logout':
        $usuario->Logout();
        break;
    case 'getUsers':
        $usuario->getUsers();
        break;
    case 'getUser':
        $usuario->getUser($_POST['id']);
        break;
    case 'updateUser':
        $usuario->updateUser($_POST['id'], $_POST['nombre'], $_POST['password'],  $_POST['rol']);
        break;
    case 'createUser':
        $usuario->createUser($_POST['nombre'], $_POST['password'], $_POST['rol_id']);
        break;
    case 'deleteUser':
        $usuario->deleteUser($_POST['id']);
        break;
    case 'getRoles':
        $usuario->getRoles();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'No se encontró la acción']);
        break;
}
